<wsdl:definitions xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:sch="http://ticket-jira-soap.com/ws" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="http://ticket-jira-soap.com/ws" targetNamespace="http://ticket-jira-soap.com/ws">
    <wsdl:types>
        <xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" targetNamespace="http://ticket-jira-soap.com/ws">
            <xsd:element name="GetAllTicketsRequest">
                <xsd:complexType/>
            </xsd:element>
            <xsd:element name="GetAllTicketsResponse">
                <xsd:complexType>
                    <xsd:sequence>
                        <xsd:element maxOccurs="unbounded" minOccurs="0" name="ticketList" type="tns:TicketSoap"/>
                    </xsd:sequence>
                </xsd:complexType>
            </xsd:element>
            <xsd:element name="GetTicketByIdRequest">
                <xsd:complexType>
                    <xsd:sequence>
                        <xsd:element minOccurs="1" name="id" type="xsd:long"/>
                    </xsd:sequence>
                </xsd:complexType>
            </xsd:element>
            <xsd:element name="GetTicketByIdResponse">
                <xsd:complexType>
                    <xsd:sequence>
                        <xsd:element name="ticket" type="tns:TicketSoap"/>
                    </xsd:sequence>
                </xsd:complexType>
            </xsd:element>
            <xsd:element name="GetTicketByNameRequest">
                <xsd:complexType>
                    <xsd:sequence>
                        <xsd:element minOccurs="1" name="name" type="xsd:string"/>
                    </xsd:sequence>
                </xsd:complexType>
            </xsd:element>
            <xsd:element name="GetTicketByNameResponse">
                <xsd:complexType>
                    <xsd:sequence>
                        <xsd:element name="ticket" type="tns:TicketSoap"/>
                    </xsd:sequence>
                </xsd:complexType>
            </xsd:element>
            <xsd:element name="AddTicketRequest">
                <xsd:complexType>
                    <xsd:sequence>
                        <xsd:element name="ticket" type="tns:TicketSoap"/>
                    </xsd:sequence>
                </xsd:complexType>
            </xsd:element>
            <xsd:element name="AddTicketResponse">
                <xsd:complexType>
                    <xsd:sequence>
                        <xsd:element name="serviceStatus" type="tns:ServiceStatus"/>
                    </xsd:sequence>
                </xsd:complexType>
            </xsd:element>
            <xsd:complexType name="TicketSoap">
                <xsd:sequence>
                    <xsd:element minOccurs="1" name="id_ticket" type="xsd:long"/>
                    <xsd:element minOccurs="1" name="name" type="xsd:string"/>
                    <xsd:element minOccurs="1" name="id_person_creator" type="xsd:long"/>
                    <xsd:element minOccurs="1" name="id_person_assigned" type="xsd:long"/>
                    <xsd:element minOccurs="1" name="creation_datetime" type="xsd:dateTime"/>
                    <xsd:element minOccurs="1" name="ticket_close_datetime" type="xsd:dateTime"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:complexType name="ServiceStatus">
                <xsd:sequence>
                    <xsd:element name="statusCode" type="xsd:int"/>
                    <xsd:element name="message" type="xsd:string"/>
                </xsd:sequence>
            </xsd:complexType>
        </xsd:schema>
    </wsdl:types>
    <wsdl:message name="GetTicketByNameResponse">
        <wsdl:part element="tns:GetTicketByNameResponse" name="GetTicketByNameResponse"> </wsdl:part>
    </wsdl:message>
    <wsdl:message name="GetAllTicketsRequest">
        <wsdl:part element="tns:GetAllTicketsRequest" name="GetAllTicketsRequest"> </wsdl:part>
    </wsdl:message>
    <wsdl:message name="GetTicketByIdRequest">
        <wsdl:part element="tns:GetTicketByIdRequest" name="GetTicketByIdRequest"> </wsdl:part>
    </wsdl:message>
    <wsdl:message name="AddTicketRequest">
        <wsdl:part element="tns:AddTicketRequest" name="AddTicketRequest"> </wsdl:part>
    </wsdl:message>
    <wsdl:message name="GetTicketByIdResponse">
        <wsdl:part element="tns:GetTicketByIdResponse" name="GetTicketByIdResponse"> </wsdl:part>
    </wsdl:message>
    <wsdl:message name="AddTicketResponse">
        <wsdl:part element="tns:AddTicketResponse" name="AddTicketResponse"> </wsdl:part>
    </wsdl:message>
    <wsdl:message name="GetTicketByNameRequest">
        <wsdl:part element="tns:GetTicketByNameRequest" name="GetTicketByNameRequest"> </wsdl:part>
    </wsdl:message>
    <wsdl:message name="GetAllTicketsResponse">
        <wsdl:part element="tns:GetAllTicketsResponse" name="GetAllTicketsResponse"> </wsdl:part>
    </wsdl:message>
    <wsdl:portType name="TicketPort">
        <wsdl:operation name="GetTicketByName">
            <wsdl:input message="tns:GetTicketByNameRequest" name="GetTicketByNameRequest"> </wsdl:input>
            <wsdl:output message="tns:GetTicketByNameResponse" name="GetTicketByNameResponse"> </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="GetAllTickets">
            <wsdl:input message="tns:GetAllTicketsRequest" name="GetAllTicketsRequest"> </wsdl:input>
            <wsdl:output message="tns:GetAllTicketsResponse" name="GetAllTicketsResponse"> </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="GetTicketById">
            <wsdl:input message="tns:GetTicketByIdRequest" name="GetTicketByIdRequest"> </wsdl:input>
            <wsdl:output message="tns:GetTicketByIdResponse" name="GetTicketByIdResponse"> </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="AddTicket">
            <wsdl:input message="tns:AddTicketRequest" name="AddTicketRequest"> </wsdl:input>
            <wsdl:output message="tns:AddTicketResponse" name="AddTicketResponse"> </wsdl:output>
        </wsdl:operation>
    </wsdl:portType>
    <wsdl:binding name="TicketPortSoap11" type="tns:TicketPort">
        <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
        <wsdl:operation name="GetTicketByName">
            <soap:operation soapAction=""/>
            <wsdl:input name="GetTicketByNameRequest">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="GetTicketByNameResponse">
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="GetAllTickets">
            <soap:operation soapAction=""/>
            <wsdl:input name="GetAllTicketsRequest">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="GetAllTicketsResponse">
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="GetTicketById">
            <soap:operation soapAction=""/>
            <wsdl:input name="GetTicketByIdRequest">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="GetTicketByIdResponse">
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="AddTicket">
            <soap:operation soapAction=""/>
            <wsdl:input name="AddTicketRequest">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="AddTicketResponse">
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
    </wsdl:binding>
    <wsdl:service name="TicketPortService">
        <wsdl:port binding="tns:TicketPortSoap11" name="TicketPortSoap11">
            <soap:address location="http://localhost:8082/jira-soap/ws"/>
        </wsdl:port>
    </wsdl:service>
</wsdl:definitions>